This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301479 - [abrt] kate: __memcpy_sse2_unaligned(): kate killed by SIGSEGV
[abrt] kate: __memcpy_sse2_unaligned(): kate killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kate (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:acdb6cc20d76e733505b9eb21f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 03:31 EST by Strahinja Jankovic
Modified: 2016-12-20 13:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.10 KB, text/plain)
2016-01-25 03:31 EST, Strahinja Jankovic
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-25 03:31 EST, Strahinja Jankovic
no flags Details
File: core_backtrace (2.56 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: dso_list (22.35 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: environ (3.22 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: maps (104.72 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: open_fds (1.57 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details
File: var_log_messages (299 bytes, text/plain)
2016-01-25 03:32 EST, Strahinja Jankovic
no flags Details

  None (edit)
Description Strahinja Jankovic 2016-01-25 03:31:50 EST
Description of problem:
I have opened 2 python scripts and 2 txt files, with vertical spilt view enabled.
When I close Kate, it crashes.

Version-Release number of selected component:
kate-15.12.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kate -b /home/sjankovic/data/faks/vezbe/SAE/2015-2016/pregled-k3/36-2014-Lazovic-Marko/Python/tablica.py /home/sjankovic/data/faks/vezbe/SAE/2015-2016/pregled-k3/36-2014-Lazovic-Marko/Python/tablica.txt
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/kate
global_pid:     6315
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:33
 #1 memcpy at /usr/include/bits/string3.h:53
 #2 QList<KateMainWindow*>::node_copy at /usr/include/qt5/QtCore/qlist.h:455
 #3 QList<KateMainWindow*>::detach_helper at /usr/include/qt5/QtCore/qlist.h:757
 #5 QList<KateMainWindow*>::detach at /usr/include/qt5/QtCore/qlist.h:159
 #6 QList<KateMainWindow*>::operator[] at /usr/include/qt5/QtCore/qlist.h:519
 #7 KateApp::mainWindow at /usr/src/debug/kate-15.12.1/kate/kateapp.cpp:373
 #8 KatePluginManager::disablePluginGUI at /usr/src/debug/kate-15.12.1/kate/katepluginmanager.cpp:275
 #9 KatePluginManager::unloadPlugin at /usr/src/debug/kate-15.12.1/kate/katepluginmanager.cpp:196
 #10 KatePluginManager::unloadAllPlugins at /usr/src/debug/kate-15.12.1/kate/katepluginmanager.cpp:156
Comment 1 Strahinja Jankovic 2016-01-25 03:31:57 EST
Created attachment 1117847 [details]
File: backtrace
Comment 2 Strahinja Jankovic 2016-01-25 03:31:58 EST
Created attachment 1117848 [details]
File: cgroup
Comment 3 Strahinja Jankovic 2016-01-25 03:32:00 EST
Created attachment 1117849 [details]
File: core_backtrace
Comment 4 Strahinja Jankovic 2016-01-25 03:32:01 EST
Created attachment 1117850 [details]
File: dso_list
Comment 5 Strahinja Jankovic 2016-01-25 03:32:03 EST
Created attachment 1117851 [details]
File: environ
Comment 6 Strahinja Jankovic 2016-01-25 03:32:04 EST
Created attachment 1117852 [details]
File: exploitable
Comment 7 Strahinja Jankovic 2016-01-25 03:32:06 EST
Created attachment 1117853 [details]
File: limits
Comment 8 Strahinja Jankovic 2016-01-25 03:32:08 EST
Created attachment 1117854 [details]
File: maps
Comment 9 Strahinja Jankovic 2016-01-25 03:32:10 EST
Created attachment 1117855 [details]
File: mountinfo
Comment 10 Strahinja Jankovic 2016-01-25 03:32:11 EST
Created attachment 1117856 [details]
File: namespaces
Comment 11 Strahinja Jankovic 2016-01-25 03:32:12 EST
Created attachment 1117857 [details]
File: open_fds
Comment 12 Strahinja Jankovic 2016-01-25 03:32:14 EST
Created attachment 1117858 [details]
File: proc_pid_status
Comment 13 Strahinja Jankovic 2016-01-25 03:32:15 EST
Created attachment 1117859 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:09:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:07:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.